Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.ui.dialogs
Interface SelectionDialogFactory

All Known Implementing Classes:
  AbstractSelectionDialogFactory, DefaultSelectionDialogFactory

    public interface SelectionDialogFactory

An interface for user interface dialogs to select resources from a list or tree.

An instance of this can be accessed from `ProtegeUI.getSelectionDialogFactory()`.

All methods take a Component as first argument which can be left null: if no pointer to an existing component is available then the system will use the ProjectView registered for the OWLModel. However, it is generally recommended to use a non-null parent.

Author:
  Holger Knublauch

Method Summary
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, Collection rootClasses)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, Collection rootClasses, String title)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, RDFSNamedClass rootClass, String title)`
`RDFSNamedClass` | `selectClass(Component parent, OWLModel owlModel, String title)`
`Set` | `selectClasses(Component parent, OWLModel owlModel, Collection rootClasses, String title)`
`Set` | `selectClasses(Component parent, OWLModel owlModel, RDFSNamedClass rootClass, String title)`
`Set` | `selectClasses(Component parent, OWLModel owlModel, String title)`
`RDFSDatatype` | `selectDatatype(Component parent, OWLModel owlModel)`
`RDFProperty` | `selectProperty(Component parent, OWLModel owlModel, Collection allowedProperties)`
`RDFProperty` | `selectProperty(Component parent, OWLModel owlModel, Collection allowedProperties, String title)`
`RDFResource` | `selectResourceByType(Component parent, OWLModel owlModel, Collection allowedClasses)`
`RDFResource` | `selectResourceByType(Component parent, OWLModel owlModel, Collection allowedClasses, String title)`
`RDFResource` | `selectResourceFromCollection(Component parent, OWLModel owlModel, Collection resources, String title)`
`Set` | `selectResourcesByType(Component parent, OWLModel owlModel, Collection allowedClasses)`
`Set` | `selectResourcesByType(Component parent, OWLModel owlModel, Collection allowedClasses, String title)`
`Set` | `selectResourcesFromCollection(Component parent, OWLModel owlModel, Collection resources, String title)`

Method Detail

### selectClass

    RDFSNamedClass selectClass(Component parent,
                               OWLModel owlModel)

### selectClass

    RDFSNamedClass selectClass(Component parent,
                               OWLModel owlModel,
                               String title)

### selectClass

    RDFSNamedClass selectClass(Component parent,
                               OWLModel owlModel,
                               Collection rootClasses)

### selectClass

    RDFSNamedClass selectClass(Component parent,
                               OWLModel owlModel,
                               Collection rootClasses,
                               String title)

### selectClass

    RDFSNamedClass selectClass(Component parent,
                               OWLModel owlModel,
                               RDFSNamedClass rootClass,
                               String title)

### selectClasses

    Set selectClasses(Component parent,
                      OWLModel owlModel,
                      String title)

### selectClasses

    Set selectClasses(Component parent,
                      OWLModel owlModel,
                      RDFSNamedClass rootClass,
                      String title)

### selectClasses

    Set selectClasses(Component parent,
                      OWLModel owlModel,
                      Collection rootClasses,
                      String title)

### selectProperty

    RDFProperty selectProperty(Component parent,
                               OWLModel owlModel,
                               Collection allowedProperties)

### selectProperty

    RDFProperty selectProperty(Component parent,
                               OWLModel owlModel,
                               Collection allowedProperties,
                               String title)

### selectDatatype

    RDFSDatatype selectDatatype(Component parent,
                                OWLModel owlModel)

### selectResourceByType

    RDFResource selectResourceByType(Component parent,
                                     OWLModel owlModel,
                                     Collection allowedClasses)

### selectResourceByType

    RDFResource selectResourceByType(Component parent,
                                     OWLModel owlModel,
                                     Collection allowedClasses,
                                     String title)

### selectResourceFromCollection

    RDFResource selectResourceFromCollection(Component parent,
                                             OWLModel owlModel,
                                             Collection resources,
                                             String title)

### selectResourcesByType

    Set selectResourcesByType(Component parent,
                              OWLModel owlModel,
                              Collection allowedClasses)

### selectResourcesByType

    Set selectResourcesByType(Component parent,
                              OWLModel owlModel,
                              Collection allowedClasses,
                              String title)

### selectResourcesFromCollection

    Set selectResourcesFromCollection(Component parent,
                                      OWLModel owlModel,
                                      Collection resources,
                                      String title)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.